Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkAccessManager.Operation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QNetworkAccessManager.Operation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNetworkAccessManager

    public static final class QNetworkAccessManager.Operation

extends java.lang.Enum
implements QtEnumerator

Indicates the operation this reply is processing.

See also:
  `QNetworkReply::operation()`.

See Also:
  Serialized Form

Field Summary
`static QNetworkAccessManager.Operation` | `GetOperation` retrieve headers and download contents (created with `get()`)
`static QNetworkAccessManager.Operation` | `HeadOperation` retrieve headers operation (created with `head()`)
`static QNetworkAccessManager.Operation` | `PostOperation` send the contents of an HTML form for processing via HTTP POST (created with `post()`)
`static QNetworkAccessManager.Operation` | `PutOperation` upload contents operation (created with `put()`)
`static QNetworkAccessManager.Operation` | `UnknownOperation`

Method Summary
`static QNetworkAccessManager.Operation` | `resolve(int value)` Returns the QNetworkAccessManager$Operation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkAccessManager.Operation` | `valueOf(java.lang.String name)`
`static QNetworkAccessManager.Operation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HeadOperation

    public static final QNetworkAccessManager.Operation HeadOperation

  retrieve headers operation (created with `head()`)

### GetOperation

    public static final QNetworkAccessManager.Operation GetOperation

  retrieve headers and download contents (created with `get()`)

### PutOperation

    public static final QNetworkAccessManager.Operation PutOperation

  upload contents operation (created with `put()`)

### PostOperation

    public static final QNetworkAccessManager.Operation PostOperation

  send the contents of an HTML form for processing via HTTP POST (created with `post()`)

### UnknownOperation

    public static final QNetworkAccessManager.Operation UnknownOperation

Method Detail

### values

    public static QNetworkAccessManager.Operation[] values()

### valueOf

    public static QNetworkAccessManager.Operation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QNetworkAccessManager.Operation resolve(int value)

  Returns the QNetworkAccessManager$Operation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD